Change logs for nvidia-cuda-toolkit source package in Disco

  • nvidia-cuda-toolkit (10.1.105-0ubuntu1) disco; urgency=medium
    
      [ Graham Inggs ]
      * Sync with 10.1.105-1 from Debian binNEW (LP: #1821792)
    
      [ Andreas Beckmann ]
      * New upstream release 10.1 (Feb 2019).  (Closes: #924488)
      * Repack the upstream *.run files and keep only the toolkit, dropping driver
        and (not redistributable) samples.
      * d/copyright: Synchronize with updated EULA.txt.
      * SOVERSION bump: 10.0 => 10.1, rename core library packages.
      * SOVERSION change: 10.0 => 10, rename application library packages.
      * libcublaslt10: New package for the cuBLASLt library.
      * nsight-systems: New package for NVIDIA Nsight Systems.
      * Add gcc-8 and clang-7 as supported compiler alternatives.
      * Install new/renamed/moved/... files.
      * Refresh patches and fix more typos.
      * Update Lintian overrides.
    
     -- Graham Inggs <email address hidden>  Wed, 27 Mar 2019 08:36:18 +0000
  • nvidia-cuda-toolkit (10.0.130-3) experimental; urgency=medium
    
      * Merge changes from 9.2.148-7.
      * Generalize the get-orig-source target.
      * Prepare support for having a different SOVERSION in the core libraries
        (libcudart and friends) than in the application libraries.
      * Generalize nsight-compute packaging.
    
     -- Andreas Beckmann <email address hidden>  Fri, 22 Mar 2019 23:35:42 +0100
  • nvidia-cuda-toolkit (10.0.130-2) experimental; urgency=medium
    
      * Rename uuid(3) to CUDA_uuid(3) to avoid manpage conflict with uuid-dev,
        thanks to C├ędric Dufour.  (Closes: #921533)
    
     -- Andreas Beckmann <email address hidden>  Fri, 08 Feb 2019 15:51:50 +0100
  • nvidia-cuda-toolkit (9.2.148-6) unstable; urgency=medium
    
      * Restore strict libcuda1 dependency.
      * Drop Breaks+Replaces against packages predating jessie.
    
     -- Andreas Beckmann <email address hidden>  Thu, 07 Feb 2019 01:08:16 +0100
  • nvidia-cuda-toolkit (9.2.148-5) unstable; urgency=medium
    
      * Fix nvidia-openjdk-8-jre version number customization.
      * Adjust libcuda1 dependency relaxation.
    
     -- Andreas Beckmann <email address hidden>  Sun, 13 Jan 2019 13:41:13 +0100
  • nvidia-cuda-toolkit (9.2.148-4) unstable; urgency=medium
    
      * New upstream CUDA 9.2 Patch 1 (Aug 6, 2018).
        - This update includes performance improvements to cuBLAS GEMM APIs and
          bug fixes for CUPTI and cuda-gdb.
      * d/rules: Add infrastructure for downloading, unpacking and installing
        patch releases.
        - Patch releases are handled as additional component tarballs.
        - The upstream release version number is not adjusted (only a few shared
          libraries bump their filename).
      * Update Lintian overrides.
    
     -- Andreas Beckmann <email address hidden>  Sat, 12 Jan 2019 17:46:38 +0100
  • nvidia-cuda-toolkit (9.2.148-3) unstable; urgency=medium
    
      * Merge changes from 9.1.85-8.
      * Switch to debhelper-compat (= 12).
      * Relax the libcuda1 dependency to start the transition in unstable while
        the required driver is still in experimental.
      * Upload to unstable.
    
     -- Andreas Beckmann <email address hidden>  Tue, 08 Jan 2019 22:51:52 +0100
  • nvidia-cuda-toolkit (9.2.148-2) experimental; urgency=medium
    
      * Merge changes from 9.1.85-7.
      * A ppc64el release is now available.
    
     -- Andreas Beckmann <email address hidden>  Tue, 11 Dec 2018 21:30:36 +0100
  • nvidia-cuda-toolkit (9.1.85-7) unstable; urgency=medium
    
      * d/rules: Simplify shifting around the unpacked contents.
    
     -- Andreas Beckmann <email address hidden>  Sun, 09 Dec 2018 04:57:24 +0100
  • nvidia-cuda-toolkit (9.1.85-6) unstable; urgency=medium
    
      * nvidia-opencl-dev: Add Breaks: nvidia-libopencl1 for a smoother transition
        to ocl-icd-opencl-dev.
      * *.symbols: Add Build-Depends-Package.
      * Switch to debhelper-compat (= 11).
      * Add debian/rules targets for archiving the tarballs in a separate
        repository using sparse checkouts and git-lfs as storage backend.
      * Update Lintian overrides.
    
     -- Andreas Beckmann <email address hidden>  Sat, 08 Dec 2018 12:42:30 +0100
  • nvidia-cuda-toolkit (9.1.85-5) unstable; urgency=medium
    
      * Add nvidia-openjdk-8-jre package shipping the JRE binaries.
      * Use it as JRE for nvidia-visual-profiler and nvidia-nsight on amd64.
        (Closes: #900300)
      * Do not build nvidia-visual-profiler and nvidia-nsight on ppc64el.
      * Bump Standards-Version to 4.2.1 (no changes needed).
    
     -- Andreas Beckmann <email address hidden>  Tue, 18 Sep 2018 20:22:22 +0200
  • nvidia-cuda-toolkit (9.1.85-4ubuntu1) cosmic; urgency=medium
    
      [ Graham Inggs ]
      * Sync with 9.1.85-5 from Debian binNEW
    
      [ Andreas Beckmann ]
      * Add nvidia-openjdk-8-jre package shipping the JRE binaries.
      * Use it as JRE for nvidia-visual-profiler and nvidia-nsight on amd64.
        (Closes: #900300)
      * Do not build nvidia-visual-profiler and nvidia-nsight on ppc64el.
      * Bump Standards-Version to 4.2.1 (no changes needed).
    
     -- Graham Inggs <email address hidden>  Wed, 19 Sep 2018 09:13:05 +0000